Agara

Merge a complete set into collateral

POST/trade/v1/portfolio/positions/merge

Authorization

personal_access_token positions:merge
AuthorizationBearer <token>

Personal access token issued from the web app's Settings → API tokens page. Send as Authorization: Bearer agt_….

In: header

Scope: positions:merge

Request Body

application/json

Request to merge complete outcome token sets into collateral.

Response Body

application/json

application/problem+json

application/problem+json

application/problem+json

application/problem+json

application/problem+json

application/problem+json

application/problem+json

application/problem+json

application/problem+json

application/problem+json

application/problem+json

application/problem+json

curl -X POST "https://example.com/trade/v1/portfolio/positions/merge" \  -H "Content-Type: application/json" \  -d '{    "condition_id": "string",    "shares_micro": "string"  }'
{  "as_of": "2019-08-24T14:15:22Z",  "batch_hash": "string",  "status": "string"}